#### D.6.15.12 delta

Procedure from library `hnoether.lib` (see hnoether_lib).

Usage:
  delta(INPUT); INPUT a polynomial defining an isolated plane curve singularity at 0, or the Hamburger-Noether expansion thereof, i.e. the output of `develop(f)`, or the output of `hnexpansion(f)`, or the list of HN data computed by `hnexpansion(f)`.

Return:
  int, the delta invariant of the singularity at 0, that is, the vector space dimension of R~/R, (R~ the normalization of the local ring of the singularity).

Note:
  In case the Hamburger-Noether expansion of the curve f is needed for other purposes as well it is better to calculate this first with the aid of `hnexpansion` and use it as input instead of the polynomial itself.

Example:

    LIB "hnoether.lib";
    ring r = 32003,(x,y),ds;
    poly f = x25+x24-4x23-1x22y+4x22+8x21y-2x21-12x20y-4x19y2+4x20+10x19y
    +12x18y2-24x18y-20x17y2-4x16y3+x18+60x16y2+20x15y3-9x16y
    -80x14y3-10x13y4+36x14y2+60x12y4+2x11y5-84x12y3-24x10y5
    +126x10y4+4x8y6-126x8y5+84x6y6-36x4y7+9x2y8-1y9;
    delta(f);
    ==> 96

See also: deltaLoc; invariants.

User manual for Singular version 4.4.1, 2025, generated by texi2html.